#### Previous topic

scipy.cluster.hierarchy.weighted

#### Next topic

scipy.cluster.hierarchy.median

# scipy.cluster.hierarchy.centroid

`scipy.cluster.hierarchy.``centroid`(y)

  Performs centroid/UPGMC linkage.

  See `linkage` for more information on the return structure and algorithm.

  The following are common calling conventions:

  1. `Z = centroid(y)`

     Performs centroid/UPGMC linkage on the condensed distance matrix `y`. See `linkage` for more information on the return structure and algorithm.

  2. `Z = centroid(X)`

     Performs centroid/UPGMC linkage on the observation matrix `X` using Euclidean distance as the distance metric. See `linkage` for more information on the return structure and algorithm.

  Parameters:

  y : ndarray

  > A condensed or redundant distance matrix. A condensed distance matrix is a flat array containing the upper triangular of the distance matrix. This is the form that `pdist` returns. Alternatively, a collection of m observation vectors in n dimensions may be passed as a m by n array.

  Returns:

  Z : ndarray

  > A linkage matrix containing the hierarchical clustering. See the `linkage` function documentation for more information on its structure.

  See also

  `linkage`
    for advanced creation of hierarchical clusterings.